> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Posts



## OpenAPI

````yaml POST /boosted-posts/list
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-posts/list:
    post:
      summary: Get Boosted Posts
      operationId: 725148e88e524a31be336b493ade9a62
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              properties:
                page:
                  type: integer
                  default: '1'
                source_id:
                  description: Facebook Page Id or Instagram Account Id
                  type: integer
                  example: '987654321'
                boosted_page_id:
                  description: Campaign ID — filter posts by campaign
                  type: integer
              type: object
      responses:
        '200':
          description: Returns array of Boosted Posts Objects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BoostedPost'
      security:
        - bearerAuth: []
components:
  schemas:
    BoostedPost:
      properties:
        id:
          type: integer
        active:
          type: boolean
          example: '1'
        name:
          type: string
          example: To celebrate Amoeba Hollywood...
        link:
          type: string
          example: https://facebook.com/73258871892_10159648419676893
        image:
          type: string
          example: >-
            https://scontent-vie1-1.xx.fbcdn.net/v/t39.30808-6/p640x640/262974497_5047644205265761_7900661668072431020_n.jpg?_nc_cat=103&ccb=1-5&_nc_sid=730e14&_nc_ohc=esLTFZjd7LMAX_WqnBK&_nc_ht=scontent-vie1-1.xx&oh=3a8df1fe425e2a99972e1ebf9206c1d8&oe=61AFF587
        created:
          type: integer
          format: int64
          example: 1638779416
        stopped:
          type: integer
          format: int64
          example: 1638779416
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````